%define name	xvkbd
%define version	3.7
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Virtual (on-screen) keyboard for X
Summary(de):	Virtuelle Bildschirmtastatur für X
Version: 	%{version}
Release: 	%{release}

Source:		http://homepage3.nifty.com/tsato/%{name}/%{name}-%{version}.tar.xz
URL:		http://homepage3.nifty.com/tsato/xvkbd/
License:	GPLv2
Group:		System/X11
Packager:	Stumpy842
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#===================================
BuildRequires: ImageMagick
BuildRequires: imake
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xaw-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xmu-devel
BuildRequires: %{_lib}xt-devel
BuildRequires: %{_lib}xtst-devel
#===================================

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (softwares) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%description -l de
xvkbd ist eine virtuelle (grafisches) Tastatur für das X Window System, 
welches die Möglichkeit bietet, Zeichen auf anderen Klienten (Software) einzugeben,
indem es eine Tastatur auf dem Bildschirm ausgibt. Dies kann für Systeme ohne 
Hardwaretastatur, wie z.B. Kiosk-Terminals oder Handheld-Geräte verwendet werden.

Dieses Programm hat auch Funktionen zum Senden von angegeben Zeichen, wie das 
Senden von Kommandozeilenoptionen an einen anderen Klienten, dies kann hilfreich
beim Unterstützen von einigen moderne Mäusen sein, um mehrere Schaltflächen 
vollständig nutzen zu können. 

%prep
%setup -q

%build
xmkmf
%make

%install
[ "x$RPM_BUILD_ROOT" != "x/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std install.man
rm -f $RPM_BUILD_ROOT%_prefix/lib/X11/app-defaults


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Virtual Keyboard
Name[de]=Virtuelle Tastatur
Comment=On-screen keyboard for X
Comment[de]=Bildschirmtastatur für X
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Accessibility;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
convert -size 48x48 xvkbd_icon.xbm $RPM_BUILD_ROOT%_liconsdir/%name.png
convert -size 32x32 xvkbd.xbm $RPM_BUILD_ROOT%_iconsdir/%name.png
convert -resize 16x16 -depth 2 xvkbd.xbm $RPM_BUILD_ROOT%_miconsdir/%name.png

%clean
[ "x$RPM_BUILD_ROOT" != "x/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XVkbd*
%{_mandir}/man1/%name.1*
%{_datadir}/applications/%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Sat Jul 09 2016 bb <bb> 3.7-1pclos2016
- update for 2016

* Mon Jul 29 2013 Texstar <texstar at gmail.com>3.5-1pclos2013
- 3.5

* Wed Feb 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.2-1pclos2012
- 3.2
- added german summary, description, name and comment in desktop file section
- added xz compression
- added %{_lib} makro for 64bit
- renamed spec file to pclos-xvkbd.spec
- changed X11-devel to %{_lib}xorg-x11-devel

